package org.eco.common.core.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 *
 * @author wgk
 */
@Setter
@Component
@ConfigurationProperties(prefix = "eco")
public class EcoConfig {

    /**
     * 文件路径
     */
    @Getter
    private static String profile;

    @Getter
    private static String tempPath;
    /**
     * 获取地址开关
     */
    @Getter
    private static boolean addressEnabled;
    /**
     * 项目名称
     */
    @Getter
    private String name;
    /**
     * 版本
     */
    @Getter
    private String version;
    /**
     * 版权年份
     */
    @Getter
    private String copyrightYear;
    /**
     * 实例演示开关
     */
    @Getter
    private boolean demoEnabled;

    public void setProfile(String profile) {
        EcoConfig.profile = profile;
    }
    public void setTempPath(String tempPath) {
        EcoConfig.tempPath = tempPath;
    }

    public void setAddressEnabled(boolean addressEnabled) {
        EcoConfig.addressEnabled = addressEnabled;
    }

    /**
     * 获取导入上传路径
     */
    public static String getImportPath() {
        return getProfile() + "/import";
    }

    /**
     * 获取头像上传路径
     */
    public static String getAvatarPath() {
        return getProfile() + "/avatar";
    }

    /**
     * 获取下载路径
     */
    public static String getDownloadPath() {
        return getProfile() + "/download/";
    }

    /**
     * 获取上传路径
     */
    public static String getUploadPath() {
        return getProfile() + "/upload";
    }

}
